# E-Invoice

> Base URL: `https://pos.pages.fm/api/v1`. Authenticate with the `api_key` query parameter.

## List of e-invoices

`GET /shops/{SHOP_ID}/list_einvoices/`

Get list of e-invoices

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `SHOP_ID` | path | integer | yes | Shop ID |
| `account_id` | query | string |  | Account ID |
| `marketplace_id` | query | string |  | Marketplace ID |
| `name` | query | string |  | Account name |
| `startDate` | query | integer |  | Start of creation time range (unix timestamp) |
| `endDate` | query | integer |  | End of creation time range (unix timestamp) |
| `startDateRelease` | query | integer |  | Start of release time range (unix timestamp) |
| `endDateRelease` | query | integer |  | End of release time range (unix timestamp) |

### Responses

- `200` Success (EInvoice)

```json
{
  "success": true,
  "data": [
    {
      "actual_shipping_fee": 30000,
      "adjust_amount": null,
      "adjustment_criteria": null,
      "adjustment_type": null,
      "allocation_discounts": [],
      "allocation_type": 1,
      "bank_account_number": null,
      "bank_name": null,
      "budget_unit_code": null,
      "buyer_not_get_invoice": false,
      "creator": {
        "avatar_url": null,
        "fb_id": "377936050731194",
        "id": "cee3c05e-5f85-43c4-b27e-889b99c50097",
        "name": "Vũ Sơn"
      },
      "discount": 100000,
      "display_id": 754,
      "einvoice_account_id": 66,
      "email": "acb@gmail.com",
      "full_name": "C. Hạnh",
      "id": 1656,
      "identity_code": null,
      "included_tax": 0,
      "invoice_no": "00000095",
      "invoice_series": "C25TPA",
      "invoice_type": 1,
      "is_adjust_amount": false,
      "is_included_tax": false,
      "items": [
        {
          "adjust_amount": null,
          "discount": 0,
          "id": 3501,
          "is_calculation_tax": false,
          "is_component": false,
          "is_surcharge": null,
          "measure": null,
          "note": null,
          "order_id": 124409,
          "order_item_id": 70104,
          "quantity": 1,
          "retail_price": 200000,
          "tax": 5,
          "type": 1,
          "variation": {
            "custom_id": "TESTMATGREENS",
            "display_id": 16,
            "fields": [
              {
                "id": "b8a37fc1-4479-480a-937a-e18e1a588aec",
                "keyValue": "RED",
                "name": "Màu sắcaa",
                "value": "red"
              },
              {
                "id": "786371f1-8d23-4a45-9e83-d944892ad3ce",
                "keyValue": "L",
                "name": "Sizeaaa",
                "value": "L"
              }
            ],
            "product": {
              "custom_id": "ANPR",
              "display_id": 13038,
              "name": "Áo nam Pari đẹp thời trang 123"
            },
            "product_id": "dee8f2c3-2ecc-4d9b-a9ff-603b5bde7e3d"
          },
          "variation_id": "573e9406-07dd-44f7-9c26-28f95da9ad47",
          "variation_info": {
            "detail": "Màu sắcaa: red, Sizeaaa: L",
            "diff_discount": null,
            "discount": 10000000,
            "item_total_amount_with_tax": 10500000,
            "item_total_amount_without_tax": 10000000,
            "measure_info": null,
            "name": "Áo nam Pari đẹp thời trang 123",
            "product_id": "dee8f2c3-2ecc-4d9b-a9ff-603b5bde7e3d",
            "product_tags": [],
            "tax_amount": 500000,
            "tax_rate": 5,
            "unit_price": 20000000
          }
        }
      ],
      "key_search": "KICKFUYUPUAOFF8",
      "last_editor_id": "d6e6a545-f102-439e-9943-8ac8369f9735",
      "note": null,
      "order_id": 124409,
      "order_info": {
        "account": null,
        "account_source": null,
        "cod": 130500,
        "custom_id": null,
        "display_id": 20456,
        "order_currency": "VND",
        "order_sources": null,
        "page": {
          "id": "117967746266487",
          "name": "Soicun",
          "username": null
        },
        "page_id": "117967746266487",
        "partner": {
          "extend_code": null,
          "partner_id": 154
        },
        "shop_customer_id": "7869af18-f0f4-44d9-95e8-106c9731eef9",
        "warehouse_id": "c52e67ad-d9d0-4276-abe4-e0c9f1f7d2da"
      },
      "original_einvoice": null,
      "payment_method": "TM/CK",
      "phone_number": "0983924977",
      "purchaser_tax_code": null,
      "purchaser_unit": null,
      "release_date": "2025-11-13T05:05:29.322669",
      "release_type": 1,
      "shipping_address": {
        "address": "123",
        "commnue_name": "Phường Cống Vị",
        "commune_id": "1010115",
        "country_code": "84",
        "district_id": "10101",
        "district_name": "Quận Ba Đình",
        "full_address": "123, Phường Cống Vị, Quận Ba Đình, Hà Nội",
        "full_name": "C. Hạnh",
        "new_full_address": "123, Hà Nội",
        "new_province_id": "84_VN101",
        "phone_number": "0983924977",
        "post_code": "",
        "province_id": "101",
        "province_name": "Hà Nội",
        "render_type": "old"
      },
      "shipping_fee": 30000,
      "shop_id": 20,
      "signature_type": 0,
      "status": 2,
      "tax": 10,
      "template_code": "1",
      "total_amount": 130500,
      "verification_code": null,
      "voucher_book": null
    }
  ]
}
```
